﻿#pragma once
#include <stdint.h>
namespace bg
{
	namespace detail
	{
		bool GetDirectorySize(const char* path, size_t* const total_size);
		void* ShmObjectCreate(const char* path, uintptr_t fixed_addr, size_t* real_size, size_t* mmap_size);
		void* ShmObjectAttach(const char* path, uintptr_t fixed_addr, size_t* real_size, size_t* mmap_size);
		void ShmObjectDelete(void* addr, uintptr_t mmap_size, const char* path);
		bool ShmObjectResize(const char* path, size_t* new_size);
		bool GetAvailableMemorySize(size_t* const size);
	}
}
